Public Member Functions | List of all members
WP1FlushRightGroup Class Reference

`#include <WP1FlushRightGroup.h>`

Inheritance diagram for WP1FlushRightGroup:

## Public Member Functions
| WP1FlushRightGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1FlushRightGroup () override
void | parse (WP1Listener *listener) override
Public Member Functions inherited from WP1FixedLengthGroup
| WP1FixedLengthGroup (unsigned char group)
| ~WP1FixedLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Additional Inherited Members
Static Public Member Functions inherited from WP1FixedLengthGroup
static WP1FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## ◆ WP1FlushRightGroup()

WP1FlushRightGroup::WP1FlushRightGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group
| ) |  |

## ◆ ~WP1FlushRightGroup()

WP1FlushRightGroup::~WP1FlushRightGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ parse()

void WP1FlushRightGroup::parse | ( | WP1Listener * | listener | ) |
| override virtual

Implements WP1Part.

The documentation for this class was generated from the following files:

- WP1FlushRightGroup.h
- WP1FlushRightGroup.cpp